Skip to content
Start here

Fetch details of a webhook

client.RealtimeKit.Webhooks.GetWebhookByID(ctx, appID, webhookID, query) (*WebhookGetWebhookByIDResponse, error)
GET/accounts/{account_id}/realtime/kit/{app_id}/webhooks/{webhook_id}

Returns webhook details for the given webhook ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appID string

The app identifier tag.

maxLength32
webhookID string
query WebhookGetWebhookByIDParams
AccountID param.Field[string]

The account identifier tag.

maxLength32
ReturnsExpand Collapse
type WebhookGetWebhookByIDResponse struct{…}
Data WebhookGetWebhookByIDResponseData
ID string

ID of the webhook

formatuuid
CreatedAt Time

Timestamp when this webhook was created

formatdate-time
Enabled bool

Set to true if the webhook is active

Events []WebhookGetWebhookByIDResponseDataEvent

Events this webhook will send updates for

One of the following:
const WebhookGetWebhookByIDResponseDataEventMeetingStarted WebhookGetWebhookByIDResponseDataEvent = "meeting.started"
const WebhookGetWebhookByIDResponseDataEventMeetingEnded WebhookGetWebhookByIDResponseDataEvent = "meeting.ended"
const WebhookGetWebhookByIDResponseDataEventMeetingParticipantJoined WebhookGetWebhookByIDResponseDataEvent = "meeting.participantJoined"
const WebhookGetWebhookByIDResponseDataEventMeetingParticipantLeft WebhookGetWebhookByIDResponseDataEvent = "meeting.participantLeft"
const WebhookGetWebhookByIDResponseDataEventMeetingChatSynced WebhookGetWebhookByIDResponseDataEvent = "meeting.chatSynced"
const WebhookGetWebhookByIDResponseDataEventRecordingStatusUpdate WebhookGetWebhookByIDResponseDataEvent = "recording.statusUpdate"
const WebhookGetWebhookByIDResponseDataEventLivestreamingStatusUpdate WebhookGetWebhookByIDResponseDataEvent = "livestreaming.statusUpdate"
const WebhookGetWebhookByIDResponseDataEventMeetingTranscript WebhookGetWebhookByIDResponseDataEvent = "meeting.transcript"
const WebhookGetWebhookByIDResponseDataEventMeetingSummary WebhookGetWebhookByIDResponseDataEvent = "meeting.summary"
Name string

Name of the webhook

UpdatedAt Time

Timestamp when this webhook was updated

formatdate-time
URL string

URL the webhook will send events to

formaturi
Success bool

Fetch details of a webhook

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RealtimeKit.Webhooks.GetWebhookByID(
    context.TODO(),
    "app_id",
    "webhook_id",
    realtime_kit.WebhookGetWebhookByIDParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Data)
}
{
  "data": {
    "id": "0d1f069d-43bb-489a-ad8c-7eb95592ba8e",
    "created_at": "2022-05-28T07:01:53.075Z",
    "enabled": true,
    "events": [
      "meeting.started",
      "meeting.ended",
      "meeting.participantJoined",
      "meeting.participantLeft",
      "meeting.chatSynced",
      "recording.statusUpdate",
      "livestreaming.statusUpdate",
      "meeting.transcript",
      "meeting.summary"
    ],
    "name": "All events webhook",
    "updated_at": "2022-05-28T07:01:53.075Z",
    "url": "https://webhook.site/b23a5bbd-c7b0-4ced-a9e2-78ae7889897e"
  },
  "success": true
}
"{\n  message: \"Unauthorized\"\n}\n"
Returns Examples
{
  "data": {
    "id": "0d1f069d-43bb-489a-ad8c-7eb95592ba8e",
    "created_at": "2022-05-28T07:01:53.075Z",
    "enabled": true,
    "events": [
      "meeting.started",
      "meeting.ended",
      "meeting.participantJoined",
      "meeting.participantLeft",
      "meeting.chatSynced",
      "recording.statusUpdate",
      "livestreaming.statusUpdate",
      "meeting.transcript",
      "meeting.summary"
    ],
    "name": "All events webhook",
    "updated_at": "2022-05-28T07:01:53.075Z",
    "url": "https://webhook.site/b23a5bbd-c7b0-4ced-a9e2-78ae7889897e"
  },
  "success": true
}
"{\n  message: \"Unauthorized\"\n}\n"